/*!
 * \file
 *
 * \brief
 *
 * \author   Thomas Lochmatter
 *
 * \note     Copyright (C) 2006 EPFL
 */

#ifndef GOTO
#define GOTO

#include <korebot/korebot.h>
#include "trackposition.h"

typedef struct sGoto {
	tTrackPosition * tr;
	float goalx;
	float goaly;
	float maxspeedfactor;
	long speed1internal;
	long speed2internal;
	long speed1;
	long speed2;
	int closetogoal;
	int veryclosetogoal;
	int atgoal;
} tGoto;

void goto_start(tGoto * tg, tTrackPosition * tr);
void goto_setgoal(tGoto * tg, float goalx, float goaly);
void goto_setmaxspeed(tGoto * tg, float maxspeed);
void goto_step(tGoto * tg);

#endif
