/*!
 * (c) 2006-2007 EPFL, Lausanne, Switzerland
 * Thomas Lochmatter
 */

#ifndef TRACKPOSITION
#define TRACKPOSITION

#include <korebot/korebot.h>

struct sTrackPosition {
	float x;
	float y;
	float theta;
	int pos_left_prev;
	int pos_right_prev;
	float wheel_distance;
	float wheel_conversion_left;
	float wheel_conversion_right;
};

int trackposition_start(struct sTrackPosition * tp);
int trackposition_start_pos(struct sTrackPosition * tp, int pos1, int pos2);
void trackposition_step(struct sTrackPosition * tp);
void trackposition_step_pos(struct sTrackPosition * tp, int pos1, int pos2);

void trackposition_setwheelconfiguration_left(struct sTrackPosition * tp, float radius, float stepspertour);
void trackposition_setwheelconfiguration_right(struct sTrackPosition * tp, float radius, float stepspertour);

#endif
